#include <sourcemod>

new Handle:g_pausAble;
new bool:allowed = false;
 

#define PLUGIN_VERSION "1.0"

public Plugin:myinfo =
{
    name = "Server Pause",
    author = "hlmod.ru",
    description = "Enable/Disable pause on server",
    version = PLUGIN_VERSION,
    url = ""
};

public OnPluginStart()
{
     RegAdminCmd("sm_pause", pause_on, ADMFLAG_GENERIC, "Pause or unpause the game");
}



public Action:pause_on(client, args)
{     
    decl String:name[16]; 
    g_pausAble = FindConVar ("sv_pausable");
    GetClientName(client, name, sizeof(name));
    if (!allowed)
    {
             SetConVarInt(g_pausAble, true);
             FakeClientCommand(client, "pause");
             LogAction(client, -1, "%L paused server", client);
             PrintToChatAll("[SM] Admin %s paused server", name);
             allowed = true;
             SetConVarInt(g_pausAble, false);
    }
    else if (allowed)
    {
            SetConVarInt(g_pausAble, true);
            FakeClientCommand(client, "pause");
            LogAction(client, -1, "%L unpaused server", client);
            PrintToChatAll("[SM] Admin %s unpaused server", name);
            allowed = false;
            SetConVarInt(g_pausAble, false);
    }

    return Plugin_Continue;
}